import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDeviceEnergyManagementClusterForecastStruct extends _NSObject {
    static alloc(): _MTRDeviceEnergyManagementClusterForecastStruct;
    static new(): _MTRDeviceEnergyManagementClusterForecastStruct;
    init(): _MTRDeviceEnergyManagementClusterForecastStruct;
    forecastID(): _NSNumber;
    setForecastID$(value: _NSNumber): void;
    activeSlotNumber(): _NSNumber | null;
    setActiveSlotNumber$(value: _NSNumber | null): void;
    startTime(): _NSNumber;
    setStartTime$(value: _NSNumber): void;
    endTime(): _NSNumber;
    setEndTime$(value: _NSNumber): void;
    earliestStartTime(): _NSNumber | null;
    setEarliestStartTime$(value: _NSNumber | null): void;
    latestEndTime(): _NSNumber | null;
    setLatestEndTime$(value: _NSNumber | null): void;
    isPausable(): _NSNumber;
    setIsPausable$(value: _NSNumber): void;
    slots(): _NSArray;
    setSlots$(value: _NSArray): void;
    forecastUpdateReason(): _NSNumber;
    setForecastUpdateReason$(value: _NSNumber): void;
}
export interface _MTRDeviceEnergyManagementClusterForecastStruct extends _NSCopying {
}
